View Issue Details

IDProjectCategoryView StatusLast Update
0003986SOGoWeb Mailpublic2017-01-18 06:34
Reporterrc-pl Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.4 
Fixed in Version3.2.6 
Summary0003986: can't paste images to ckeditor in Google Chrome
Description

When using Chrome it is not possible to paste images from clipboard to ckeditor in SOGo.
It works properly in IE, FF, but not Chrome.
Searching this problem in google proves that it is a known issue related to ckeditor since quite long time.
Latest version of ckeditor available here http://ckeditor.com/features doesn't have this issue anymore.
Maybe it's worth updating ckeditor shipped with SOGo to the latest version.

Steps To Reproduce
  1. Login to web clinet in Google Chrome browser.
  2. Click to compose a new message
  3. Run Windows Snipping Tool and take a screenshot of whatever
  4. Try to paste it in message body - it won't paste
TagsNo tags attached.

Activities

rc-pl

rc-pl

2017-01-10 04:35

reporter   ~0011184

In the meantime I found out that ckeditor available here http://ckeditor.com/features uses some kind of image upload feature
That is not a solution for issue reported here, because image in message body has to be stored in Base64 encoded format.

rc-pl

rc-pl

2017-01-14 06:24

reporter   ~0011214

Hi.
Latest nightly build has been installed - 3.2.5.20170114-1
Issue described in this report is resolved. Pasting inline images in Chrome works.
However new issue appears.
When I paste inline image in Firefox - it is shown two times in message composing window.
When I then send this message it is sent correctly (only one image is in the body).

francis

francis

2017-01-16 15:32

administrator   ~0011219

Please try the next nightly build.

rc-pl

rc-pl

2017-01-18 00:20

reporter   ~0011223

issue resolved
thank you for your support!

Related Changesets

sogo: master ba12c14a

2017-01-13 16:11:10

francis

Details Diff
(js) Update CKEditor to version 4.6.2

- Add Upload Image plugin

Fixes 0003986
Affected Issues
0003986
mod - UI/WebServerResources/js/vendor/ckeditor/LICENSE.md Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/build-config.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/ck.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/ckeditor.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/config.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/contents.css Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/ar.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/ca.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/cs.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/cy.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/da.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/de.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/en.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/es.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/eu.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/fi.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/fr.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/hr.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/hu.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/is.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/it.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/lt.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/mk.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/nb.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/nl.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/no.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/pl.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/pt-br.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/pt.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/ru.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/sk.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/sl.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/sr.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/sv.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/tr.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/uk.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/zh-cn.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/zh.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/about/dialogs/about.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/clipboard/dialogs/paste.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/colordialog/dialogs/colordialog.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/dialog/dialogDefinition.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/image/dialogs/image.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/link/dialogs/anchor.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/link/dialogs/link.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/pastefromword/filter/default.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/table/dialogs/table.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/tabletools/dialogs/tableCell.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/minimalist/editor.css Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/minimalist/editor_gecko.css Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/minimalist/editor_ie.css Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/minimalist/editor_ie7.css Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/minimalist/editor_ie8.css Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/minimalist/editor_iequirks.css Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/styles.js Diff File

sogo: master 5f2a6c53

2017-01-16 15:31:12

francis

Details Diff
(js) Fix pasting images in CKEditor

Fixes 0003986
Affected Issues
0003986
mod - NEWS Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/ck.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/minimalist/editor_gecko.css Diff File

Issue History

Date Modified Username Field Change
2017-01-10 04:18 rc-pl New Issue
2017-01-10 04:35 rc-pl Note Added: 0011184
2017-01-13 16:12 francis Changeset attached => sogo master ba12c14a
2017-01-13 16:12 francis Assigned To => francis
2017-01-13 16:12 francis Resolution open => fixed
2017-01-13 16:13 francis Status new => resolved
2017-01-13 16:13 francis Fixed in Version => 3.2.6
2017-01-14 06:24 rc-pl Note Added: 0011214
2017-01-14 06:24 rc-pl Status resolved => feedback
2017-01-14 06:24 rc-pl Resolution fixed => reopened
2017-01-16 15:31 francis Changeset attached => sogo master 5f2a6c53
2017-01-16 15:32 francis Note Added: 0011219
2017-01-18 00:20 rc-pl Note Added: 0011223
2017-01-18 00:20 rc-pl Status feedback => assigned
2017-01-18 06:34 francis Status assigned => resolved
2017-01-18 06:34 francis Resolution reopened => fixed